GtkPod e Debian Multimedia

Era da un po’ che su Debian Sid avevo problemi ad installare GtkPod, il miglior programma per gestire gli iPod da Linux.

Purtroppo Rhythmbox è un po’ limitato sotto certi aspetti, così volevo installare questo programma. C’era un problema di dipendenze però, che tuttavia era causato da Debian Multimedia.

Infatti libgtkpod1 era più recente nei repo ufficiali, tuttavia APT mi selezionava i repo alternativi perché avevano più priorità.

La soluzione è abbastanza semplice: modificare il file /etc/apt/preferences aggiungendo queste righe:

Package: libgtkpod1
Pin: release o=Debian,a=unstable
Pin-Priority: 999

Package: *
Pin: origin www.debian-multimedia.org
Pin-Priority: 850

Ora dovrebbe funzionare tutto, altrimenti date un apt-get update.

Enjoy Linux 😊